org.jboss.netty.handler.execution

## Class OrderedMemoryAwareThreadPoolExecutor.ChildExecutor

- java.lang.Object
- - org.jboss.netty.handler.execution.OrderedMemoryAwareThreadPoolExecutor.ChildExecutor

- All Implemented Interfaces:
    Runnable, Executor
  Enclosing class:
    OrderedMemoryAwareThreadPoolExecutor

      protected final class OrderedMemoryAwareThreadPoolExecutor.ChildExecutor
      extends Object
      implements Executor, Runnable

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OrderedMemoryAwareThreadPoolExecutor.ChildExecutor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(Runnable command)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderedMemoryAwareThreadPoolExecutor.ChildExecutor

          protected OrderedMemoryAwareThreadPoolExecutor.ChildExecutor()

  - ### Method Detail

    - #### execute

          public void execute(Runnable command)

      Specified by:
        `execute` in interface `Executor`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.